Bug 8313 - Bugzilla is missing "products" for newly added projects
Bugzilla is missing "products" for newly added projects
Status: RESOLVED INVALID
Product: obsolete
Classification: Unclassified
Component: collabnet
3.x
PC Linux
: P1 (vote)
: TBD
Assigned To: issues@www
issues@www
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-09 12:20 UTC by Jesse Glick
Modified: 2009-11-08 02:26 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2000-11-09 12:20:30 UTC
Consider newly added projects, e.g. 'logger' or 'cpplite'. First, they are not
listed on the http://www.netbeans.org/bugs-cgi/enter_bug.cgi intro page; I
assume this needs to be manually updated by CollabNet and no one did. Second,
trying to fake it by adding e.g. ?product=logger does not work; there are no
available Components or Versions. In fact the result looks the same as if you
just make up a bogus Product. So apparently the underlying database entries are
not being created at all.

People working on new modules are thus not able to use Bugzilla at all. Either
there is a bug that SourceCast is not telling Bugzilla to add the new product
etc. anymore, or someone is not remembering to add these manually for the last
few projects.
Comment 1 Unknown 2000-11-09 21:21:59 UTC
think its fixed.  Testing now.
Comment 2 Unknown 2000-11-10 00:15:59 UTC
Ok.  So these are the project names that I added to bugzilla.

cpplite
jasm
logger
look
vcscore
CVSROOT
apisupportx
extbrowser
jpython
nbbuild
qa
web
xmlbeans

This now corresponds to the full list of projects in domain_projects except for
collabnet and collabnet2 which are modules simply set up to test various aspects
of the system.
Comment 3 Unknown 2000-11-10 01:28:59 UTC
+ Consider newly added projects, e.g. 'logger' or 'cpplite'. First, they are not
+ listed on the http://www.netbeans.org/bugs-cgi/enter_bug.cgi intro page; I
+ assume this needs to be manually updated by CollabNet and no one did.

It is automatically generated from mysql database contents. In issuezilla,
projects/components/versions are admin'd through the web and update
automatically.

In the old bugzilla, it's easiest to update mysql db directly :-(

Keri -- did you remember to (after updating mysql db)
     sudo -u httpd /usr/local/sbin/clear-bugzilla-versioncache
     (note I just changed '-u root' from my prev instructions to
      '-u httpd' as this command need not run as root.
      This command must be issued after each db change.

      (nb: this ugly fix won't be needed for future issuezilla deployments
       on netbeans.org)

+ Second,
+ trying to fake it by adding e.g. ?product=logger does not work; there are no
+ available Components or Versions.

Exactly. It will only show up and work correctly on your browser if at
least one product, at least one component/product and at least one
version/component are all present in mysql.

+ In fact the result looks the same as if you
+ just make up a bogus Product.

No, the product definition by itself is not enough. This is explained to
the user somewhat better, in issuezilla via it's EditComponents screen.

+ So apparently the underlying database entries are
+ not being created at all.

They're there, but not there enough to satisfy certain assumed-to-succeed
queries. It's a feature, yeah, that's the ticket! (again, less of an issue
in issuezilla, IMHO).

+ People working on new modules are thus not able to use Bugzilla at all.

I agree the need for manual intervention at this stage is a pain.  If and
when an update to issuezilla is made, then you will be able to do these
upgrades yourself; you could also grant module owners permission to
editcomponents. Then, the onus to setup bugzilla correctly will be on you
and the module owners. You will need to ensure you, and all
component-changers, maintain a consistent set of project/component/version.
Otherwise, you will see results like [Bug 8313]... however, you will not be
blocked from fixing...

Automated updates to the projects and components in issuezilla are part of
sourcecast 1.0 (i.e. the latest development codebase).

+ Either
+ there is a bug that SourceCast is not telling Bugzilla to add the new product
+ etc. anymore, or someone is not remembering to add these manually for the last
+ few projects.

I suspect it's the latter. Keri -- can you check to make sure that your
latest changes satisfy the aforementioned constraint: "at least one
product, at least one component/product and at least one version/component
are entered into mysql."

-- Niels.
Comment 4 Jesse Glick 2000-11-10 08:55:59 UTC
Please remove the following which were not desired:

- apisupportx (dead and gone)
- jpython (abandoned and superceded by scripting)
- xmlbeans (abandoned)
- look (website internal, people should use www)
- CVSROOT (implementation detail it even shows up as a project)

I would ask again for SourceCast to have a facility for marking a project "dead"
or "hidden" or something, so that it would be excluded from user visibility
entirely, without actually deleting its contents from the CVS repository.
Comment 5 Unknown 2000-11-11 02:19:59 UTC
Deleted and versioncache regenerated
apisupportx
jpython
xmlbeans
look
CVSROOT
Comment 6 Marian Mirilovic 2009-11-08 02:26:59 UTC
We recently moved out from Collabnet's infrastructure


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo